<?php
	session_start();
	$ruta="../../";
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/vadmejecutivo.php");
	$vadmejecutivo=new vadmejecutivo;
	include_once($ruta."class/grupo.php");
	$grupo=new grupo;
	include_once($ruta."class/ciclo.php");
	$ciclo=new ciclo;
	include_once($ruta."class/grupocredito.php");
	$grupocredito=new grupocredito;
	include_once($ruta."class/vgrupocredito.php");
	$vgrupocredito=new vgrupocredito;
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/personagrupo.php");
	$personagrupo=new personagrupo;
	include_once($ruta."class/persona.php");
	$persona=new persona;
	include_once($ruta."class/tipobanca.php");
	$tipobanca=new tipobanca;
	include_once($ruta."class/miempresa.php");
	$miempresa=new miempresa;
	include_once($ruta."class/usuario.php");
	$usuario=new usuario;
	include_once($ruta."class/domicilio.php");
	$domicilio=new domicilio;
	include_once($ruta."class/laboral.php");
	$laboral=new laboral;
	include_once($ruta."funciones/funciones.php");
	include($ruta."recursos/qr/qrlib.php");
	require_once '../../recursos/pdf/mpdf/vendor/autoload.php';

	/******************    SEGURIDAD *************/
	extract($_GET);
	//********* SEGURIDAD GET *************/

	$user=dcUrl($lblcode);
	$idadmeje=dcUrl($lblcode2);
	$fechaactual=date('Y-m-d');
    $horaactual=date('H:i:s');

$consulta2="";
	if ($idadmeje==0) 
	{ 
	    $consulta2="SELECT *
	                from persona
	                where activo=1 and fechaverificado='$fechaini' ORDER BY horaverificado ASC";
	}else{
	    $consulta2="SELECT *
	                from persona
	                where activo=1 and idadmejecutivo=$idadmeje and fechaverificado='$fechaini' ORDER BY horaverificado ASC";
	}
	 $titulo= $fechaini;

	$rutaImg=$ruta."imagenes/logo.png";
	$demp=$miempresa->muestra(1);

	$dus=$usuario->muestra($user);
	//$tba=$tipobanca->muestra($cred['idtipobanca']);
	//$eje=$vadmejecutivo->muestra($gr['idadmejecutivo']);
	//$ddom=$dominio->muestra($cred['frecuenciapago']);
	//$cuotacobrar=$cred['cuota']+1;
	//$canTCred=$credito->mostrarTodo("idgrupocredito=".$valor);

	$defaultConfig = (new Mpdf\Config\ConfigVariables())->getDefaults();
	$fontDirs = $defaultConfig['fontDir'];
	$defaultFontConfig = (new Mpdf\Config\FontVariables())->getDefaults();
	$fontData = $defaultFontConfig['fontdata'];

	//$consulta="SELECT sum(cuenta)  as 'maximo' FROM admcontrato where idsede=1";
	//$dcont=$credito->sql($consulta);
	//$dcont=array_shift($dcont);


	$mpdf = new \Mpdf\Mpdf([
			'fontDir' => array_merge([
		        $ruta.'recursos/font/titilium',
		    ]),
		    'fontdata' => $fontData + [
		        'frutiger' => [
		            'R' => 'TitilliumWeb-Regular.ttf',
		            'I' => 'TitilliumWeb-Italic.ttf',
		        ]
		    ],
		    'default_font' => 'frutiger',
		    'mode' => 'utf-8',
		    'margin_header' => 5, 
		    'margin_top' => 30, 
		    'orientation' => ''
		]
	);
$header='

	<table style="width:100%; font-size:12px; text-align:center;"  align="center">
        <tr >
            <td style="width:30%;" class="letras">
              <center>
                <img style="width:240px;" src="'.$rutaImg.'" ><br>
              </center>
            </td>
            <td style="width:30%;">
	            <table class="titREP" width="100%" align="center">
	            <tr>
	            	<td>
	            		<div class="titSUB">R E P O R T E</div>
	            		<div class="titPRI"><h3> FICHA DE VERIFICACION DE DATOS '.$titulo.'</h3></div>
	            	</td>
	            </tr>
	            </table>
            </td>
            <td style="width:30%;">
	            <table border="0">
	              <tr>
	                <td>
	                  <table class="letras" cellpadding="2">
	                    <tr>
	                      <td align="right">
	                        FECHA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$fechaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        HORA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$horaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        Usuario:
	                      </td>
	                      <td align="left">
	                        <b>'.$dus['usuario'].'</b>
	                      </td>
	                    </tr>
	                  </table>
	                </td>
	              </tr>
	            </table>                     
            </td>
	  	</tr>
	</table>
	';
	$html = $html.'

	';
$cuenta=0;
foreach($persona->sql($consulta2) as $f)
{
	$cuenta++;
$dom=$domicilio->mostrarUltimo("idpersona=".$f['idpersona']);
$lab=$laboral->mostrarUltimo("idpersona=".$f['idpersona']);
$check1=$ruta."recursos/images/check1.png";
$check2=$ruta."recursos/images/check2.png";
$admeje=$vadmejecutivo->muestra($f['idadmejecutivo']);


//$html = $html.'
	$html = $html.'
	    <table  class="tablaLIST_Veri" style="width:100%; font-size:12px;">
	       <thead>
				<tr>
				  <th>Verificador:<b> '.$admeje['nombre'].'</b> Hrs.<b>'.$f['horaverificado'].'</b></th>
				</tr>
		  </thead>		
		    <tr>
		      <td width="100%">
		      	<table style="width:100%; font-size:12px;">		
				    <tr>
				      <td width="50%"><b>Nombre : </b>'.$f['nombre']." ".$f['paterno']." ".$f['materno'].'</td>
				      <td width="50%"><b>Carnet : </b>'.$f['carnet'].$f['expedido'].'</td>
				    </tr>
				    <tr>
				      <td width="50%"><b>Zona : </b>'.$dom['idbarrio'].'</td>
				      <td width="50%"><b>Dirección : </b>'.$dom['nombre'].'</td>
				    </tr>
				 </table>
				 <div>VERIFICACIÓN:</div>
				 <table style="width:100%; font-size:12px;">		
				    <tr>
				      <td width="100%" colspan="2"><b>La dirección declara por el cliente es verdadera : </b>
				      ';
					      $i=1;
					      for ($i=1; $i <= 2; $i++) 
					      { 
					      	if ($i==1){$opcion="SI";}
					      	if ($i==2){$opcion="NO";}
					      	if ($i==$dom['dirverdadero']) 
					      	{
					      		$html = $html.'
					      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check1.'" >
					      		';
					      	}else{
					      		$html = $html.'
					      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check2.'" >
					      		';
					      	}

					      }
					      $html = $html.'				      
				      </td>
				    </tr>
				    <tr>
				      <td width="100%" colspan="2"><b>Observación : </b>'.$dom['obseravcion'].'</td>
				    </tr>
				    <tr>
				      <td width="50%"><b>Color de casa : </b>'.$dom['colorcasa'].'</td>
				      <td width="50%"><b>Color de puerta : </b>'.$dom['colorpuerta'].'</td>
				    </tr>
				    <tr>
				      <td width="100%" colspan="2"><b>Existen afeiches por mora en el domicilio : </b>
				      ';
				      $i2=1;
				      for ($i2=1; $i2 <= 3; $i2++) 
				      { 
				      	if ($i2==1){$opcion="MUCHO";}
				      	if ($i2==2){$opcion="POCO";}
				      	if ($i2==3){$opcion="NINGUNO";}
				      	if ($i2==$dom['afiches']) 
				      	{
				      		$html = $html.'
				      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check1.'" >
				      		';
				      	}else{
				      		$html = $html.'
				      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check2.'" >
				      		';
				      	}
				      }
				      $html = $html.'	
				      </td>
				    </tr>
				    <tr>
				       <td width="100%"  colspan="2"><b>Observación: </b>'.$dom['observacion2'].'</td>
				    </tr>
				     <tr>
				       <td width="100%" colspan="2"><b>Referencia del cliente : </b>
				       ';
				      $i3=1;
				      for ($i3=1; $i3 <= 4; $i3++) 
				      { 
				      	if ($i3==1){$opcion="EXCELENTE";}
				      	if ($i3==2){$opcion="BUENA";}
				      	if ($i3==3){$opcion="REGULAR";}
				      	if ($i3==4){$opcion="MALA";}
				      	if ($i3==$dom['referencia']) 
				      	{
				      		$html = $html.'
				      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check1.'" >
				      		';
				      	}else{
				      		$html = $html.'
				      		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$opcion.' <img style="width:15px;" src="'.$check2.'" >
				      		';
				      	}
				      }
				      $html = $html.'
				       </td>
				    </tr>
				    <tr>
				       <td width="100%" colspan="2"><b>Persona de contacto: </b>'.$dom['contacto'].'</td>
				    </tr>
				    <tr>
				       <td width="100%" colspan="2"><b>Observación: </b>'.$dom['observacion3'].'</td>
				    </tr>
				 </table>
				 <div>DATOS LABORALES</div>
				 <table style="width:100%; font-size:12px;">		
				    <tr>
				      <td width="50%"><b>Zona  : </b>'.$lab['idbarrio'].'</td>
				      <td width="50%"><b>Dirección : </b>'.$lab['nombre'].'</td>
				    </tr>
				 </table>

		      </td>
		    </tr>
		  </table>
<br>		
	';
}	
if ($cuenta==0) 
{
	$html = $html.'
      <table style="width:100%; font-size:12px; text-align:center;" >		
				    <tr>
				      <td width="100%">No existe datos de la fecha '.$fechaini.' seleccionado...</td>
				    </tr>
				 </table>
';
}

	//==============================================================
	//==============================================================
	//==============================================================

	//$mpdf->SetDisplayMode('fullpage');

	$stylesheet = file_get_contents($ruta.'recursos/css/elisyam-1.5.css');
	$mpdf->WriteHTML($stylesheet,1); // The parameter 1 tells that this is css/style only and no
	$mpdf->SetHTMLFooter('
	<table width="100%">
	    <tr>
	        <td width="33%"></td>
	        <td width="33%" align="center"></td>
	        <td width="33%" style="text-align: right;">{PAGENO}/{nbpg}</td>
	    </tr>
	</table>');
	$mpdf->SetHeader($header,50);
	$mpdf->WriteHTML($html);
	$mpdf->Output();

?>